[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

mklibs.sh unhappy



mklibs.sh isn't working at the moment.  

My machine is current unstable and mklibs.sh is current boot-floppies.
If this is already fixed and I'm missing something obvious, I'd like to know.
Otherwise this will be a good opportunity to see how the voodoo works.

So far I've done this to get it part of the way there, but maybe I need to do
more:
===================================================================
RCS file: /cvs/debian-boot/boot-floppies/scripts/rootdisk/mklibs.sh,v
retrieving revision 1.13
diff -u -r1.13 mklibs.sh
--- mklibs.sh   2001/01/22 03:16:49     1.13
+++ mklibs.sh   2001/02/23 07:12:24
@@ -521,7 +521,8 @@
     return 0
   fi
   if [ "x$1" = "xlibc-2.1.2.so" -o "x$1" = "xlibc-2.1.3.so" \
-       -o "x$1" = "xlibc-2.2.so" -o "x$1" = "xlibc-2.2.1.so" ] ; then
+       -o "x$1" = "xlibc-2.2.so" -o "x$1" = "xlibc-2.2.1.so" \
+       -o "x$1" = "xlibc-2.2.2.so" ] ; then
     # Order does matter! First init, then lib, then fini!
     echo `find-files $src_path libc_pic/soinit.o libc_pic.a libc_pic/sofini.o
libc_pic/interp.o`
     return 0
ruff:rootdisk$ 


I always end up with death that looks something like this.  The symbol changes
depending on what exe I am reducing for, that GLIBC_2.1 is suspicious.


++ sed -e 's/::*/:/g' -e 's/^://' -e 's/:$//' -e 's/:/ -L/g'
++ cat /tmp/,mklibs.26275/lib-dependencies
++ sed 's/^/-l/'
+ gcc -nostdlib -nostartfiles -shared -Wl,-soname=libc-2.2.2.so
-u__libc_start_main -uprintf -o /tmp/,mklibs.26275/lib-so
/usr/lib/libc_pic/soinit.o /usr/lib/libc_pic.a /usr/lib/libc_pic/sofini.o -Llib/
-L/lib -L/usr/lib
/usr/bin/ld: /tmp/,mklibs.26275/lib-so: undefined versioned symbol name
__xstat64@GLIBC_2.1
/usr/bin/ld: failed to set dynamic section sizes: Bad value
collect2: ld returned 1 exit status
+ echo /home/davidw/bin/mklibs.sh: install-small-lib: gcc or objcopy failed.
/home/davidw/bin/mklibs.sh: install-small-lib: gcc or objcopy failed.
+ exit 1
+ rm -fr /tmp/,mklibs.26275
make: *** [libs] Error 1
ruff:hello$ 

David



Reply to: